#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
@author: yungyu
"""
class evt:

    handlers = []

    def bind(self, h):
        self.handlers.append(h)
        return self
    
    def unbind(self, h):
        self.handlers.remove(h)
        return self
    
    def trigger(self):
        for h in self.handlers:
            h()
    
    __iadd__ = bind
    __isub__ = unbind
    __call__ = trigger
